### Basic

Code Direction Name: workspace-trackyou

Operating System:
Ubuntu 16.04

Anconda Version:
Anconda3

Python Version:
python3.7

Pytorch Version：
pytorch 0.4.1

Installed Libraries:
matplotlib
pandas
opencv-python
tensorboardX
cython
pycocotools
jpeg4py
libturbojpeg

Compiled Libraries:
PreROIPooling 

### Important

1.Network Download:(The size of model is 649M, which exceeds the upload limit.)
If the command 'curl gdrive.sh | bash -s 1gGHlJ2gYtZnGP5poSny2qGeFhQDvQzh0' in the install.sh can not download the network or the size of downloaded network is 0, please manually download 'trackyou.pth.tar' 
from https://drive.google.com/file/d/13rTz1wbRoTtV3TlA55LijkZwz0mMKW9T/view?usp=sharing 
or from https://drive.google.com/file/d/1gGHlJ2gYtZnGP5poSny2qGeFhQDvQzh0/view?usp=sharing
or from https://pan.baidu.com/s/1CCNA0MtZZCxogv26fXwSwg (password:x1ie)
and put it in the direction 'workspace-trackyou/'

2.Instrution of the paths in 'tracker_trackyou.m' and 'vot_eval_official.py':

The 'tracker_linkpath' in workspace-trackyou/tracker_trackyou.m includes the path to the complied files of trax and the path to the lib of cuda.

The 'tracker_command' in workspace-trackyou/tracker_trackyou.m refers to the interface of vot-toolkit which locates at 'workspace-trackyou/my_tracker/pytracking/vot_eval_official.py'

The 'model_dir' in workspace-trackyou/my_tracker/pytracking/vot_eval_official.py is 'workspace-trackyou' 

The 'model' in workspace-trackyou/my_tracker/pytracking/vot_eval_official.py is 'trackyou.pth.tar'

The 'path' in workspace-trackyou/my_tracker/pytracking/vot_eval_official.py refers to the VOT2019 image path.

